libpgp-sign-perl_0.20-4_all.deb


Advertisement

Description

libpgp-sign-perl - Perl module to create detached PGP signatures

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libpgp-sign-perl
Package version 0.20
Package release 4
Package architecture all
Package type deb
Installed size 57 B
Download size 24.78 KB
Official Mirror archive.ubuntu.com
PGP::Sign creates and checks detached PGP signatures for textual data
using GnuPG.  Other PGP implementations are also supported with run-time
configuration.  Secret key passphrases are passed via a pipe, and no
temporary files are required for signature generation (but are for
signature verification).

Alternatives

Package Version Architecture Repository
libpgp-sign-perl_0.20-4_all.deb 0.20 all Ubuntu Universe
libpgp-sign-perl - - -

Requires

Name Value
gnupg1 -
perl -

Download

Type URL
Binary Package libpgp-sign-perl_0.20-4_all.deb
Source Package libpgp-sign-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpgp-sign-perl deb package:
    # sudo apt-get install libpgp-sign-perl

Files

Path
/usr/share/doc/libpgp-sign-perl/README.gz
/usr/share/doc/libpgp-sign-perl/TODO
/usr/share/doc/libpgp-sign-perl/changelog.Debian.gz
/usr/share/doc/libpgp-sign-perl/copyright
/usr/share/man/man3/PGP::Sign.3pm.gz
/usr/share/perl5/PGP/Sign.pm

Changelog

2016-09-05 - Russ Allbery <rra@debian.org>
libpgp-sign-perl (0.20-4) unstable; urgency=medium
* Upstream doesn't (yet) work with GnuPG v2, so pin the dependencies at
GnuPG v1 for now and force use of gpg1 as the signing and verification
program.  (Closes: #835773)
* Sync packaging with the orig tarball currently in Debian.  This is a
bit of a mess at the moment (the orig tarball in Debian contains a lot
of stuff it shouldn't and is missing some files), but none of the
problems should matter for the Debian build.  This will be cleaned up
properly with the next upstream release.
* Update to debhelper compatibility level V9.
- Use debhelper rule minimization.
- Add ${misc:Depends} dependency.
* Update standards version to 3.9.8.
- Remove ancient, formerly-required versioned dependency on Perl.
- Convert debian/copyright to copyright-format 1.0.
- Reference GPL v1 (due to Perl license) instead of the symlink.
- Add Vcs-Git and Vcs-Browser control fields.
* Switch to Debian source package format 3.0 (quilt).
* Add module name to the package long description.
* Merge Build-Depends-Indep into Build-Depends, since this distinction
is not useful when only building Architecture: all packages.
* Add debian/gbp.conf reflecting the branch layout of the default
packaging repository.
* Run wrap-and-sort -ast on the packaging files.
* Use https for the Homepage URL.
* Add signature verification to debian/watch and update the URL.
2008-02-18 - Russ Allbery <rra@debian.org>
libpgp-sign-perl (0.20-3) unstable; urgency=low
* Use a better way of removing empty directories created by
ExtUtils::MakeMaker.
2007-12-29 - Russ Allbery <rra@debian.org>
libpgp-sign-perl (0.20-2) unstable; urgency=low
* Tell Makefile.PL not to create /usr/lib/perl5 and remove the rmdir,
which fails with Perl 5.10.
* Move Homepage into a real control header.
* Update standards version to 3.7.3 (no changes required).
2007-04-27 - Russ Allbery <rra@debian.org>
libpgp-sign-perl (0.20-1) unstable; urgency=low
* New upstream version.
* Use a better way of running make distclean.
* Remove stamp files at the start of the clean rule.
* Add build-arch and build-indep targets, just in case.
* Update standards version to 3.7.2 (no changes required).
* Update debhelper compatibility level to V5.
2005-12-05 - Russ Allbery <rra@debian.org>
libpgp-sign-perl (0.19-4) unstable; urgency=low
* Providing binary-arch in debian/rules is required by Policy even if
there are no arch-dependent packages.  Whoops.
2005-11-16 - Russ Allbery <rra@debian.org>
libpgp-sign-perl (0.19-3) unstable; urgency=low
* Run make test when building the package.
* Simplify debian/rules.
* Update copyright to my current format and add an explicit packaging
copyright and license statement.
* Update standards version to 3.6.2 (no changes required).
* Update maintainer address.
2005-06-10 - Russ Allbery <rra@stanford.edu>
libpgp-sign-perl (0.19-2) unstable; urgency=low
* Uploaded to Debian.  (Closes: #308429)
* Add a watch file.
* Use the recommend format for the Homepage link in the description.
2004-08-08 - Russ Allbery <rra@stanford.edu>
libpgp-sign-perl (0.19-1) unstable; urgency=low
* New upstream release.
- Use --status-fd with GnuPG.  Fixes pgp_verify in non-English locales.
2004-08-04 - Russ Allbery <rra@stanford.edu>
libpgp-sign-perl (0.18-1) unstable; urgency=low
* Initial Release.

See Also

Package Description
libpgplot0_0.9.5-1_i386.deb PGPLOT replacement shared lib based on giza
libpgraphutil-smlnj_110.79-4_i386.deb Portable graph utility library for SML Compilation Manager
libpgsbox5_5.18-1_i386.deb Draw and label curvilinear coordinate grids with pgplot
libpgtcl-dev_1.9+git20120911-4_i386.deb Tcl client library binding for PostgreSQL - development files
libpgtcl_1.9+git20120911-4_i386.deb Tcl client library binding for PostgreSQL
libphobos-4.8-dev_4.8.5-4ubuntu8_i386.deb Phobos D standard library
libphobos-5-dev-armel-cross_5.5.0-12ubuntu1cross1_all.deb Phobos D standard library
libphobos-5-dev-armhf-cross_5.5.0-12ubuntu1cross1_all.deb Phobos D standard library
libphobos-5-dev-i386-cross_5.5.0-12ubuntu1cross1_all.deb Phobos D standard library
libphobos-5-dev-x32-cross_5.5.0-12ubuntu1cross1_all.deb Phobos D standard library
libphobos-5-dev_5.5.0-12ubuntu1_i386.deb Phobos D standard library
libphobos2-ldc-shared-dev_1.8.0-1_i386.deb LLVM D Compiler - Phobos2 Standard library, imports
libphobos2-ldc-shared78_1.8.0-1_i386.deb LLVM D Compiler - Phobos2 Standard library, shared objects
libphodav-2.0-0_2.2-2_i386.deb WebDAV server implementation using libsoup
libphodav-2.0-common_2.2-2_all.deb WebDAV server implementation using libsoup (common files)
Advertisement
Advertisement